<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_ViaRoute StructType
 * @subpackage Structs
 */
class Update_ViaRoute extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The ViaRouteUpdate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ViaRouteUpdate
     */
    public $ViaRouteUpdate;
    /**
     * Constructor method for Update_ViaRoute
     * @uses Update_ViaRoute::setLogin()
     * @uses Update_ViaRoute::setViaRouteUpdate()
     * @param \StructType\Login $login
     * @param \StructType\ViaRouteUpdate $viaRouteUpdate
     */
    public function __construct(\StructType\Login $login = null, \StructType\ViaRouteUpdate $viaRouteUpdate = null)
    {
        $this
            ->setLogin($login)
            ->setViaRouteUpdate($viaRouteUpdate);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_ViaRoute
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get ViaRouteUpdate value
     * @return \StructType\ViaRouteUpdate|null
     */
    public function getViaRouteUpdate()
    {
        return $this->ViaRouteUpdate;
    }
    /**
     * Set ViaRouteUpdate value
     * @param \StructType\ViaRouteUpdate $viaRouteUpdate
     * @return \StructType\Update_ViaRoute
     */
    public function setViaRouteUpdate(\StructType\ViaRouteUpdate $viaRouteUpdate = null)
    {
        $this->ViaRouteUpdate = $viaRouteUpdate;
        return $this;
    }
}
